<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports1.css" rel="stylesheet" id="ultra" />
    <link type="text/css" href="testng-reports.css" rel="stylesheet" id="retro" disabled="false"/>
    <script type="text/javascript" src="jquery-3.6.0.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <button id="button" class="button">Switch Retro Theme</button> <!-- button -->
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" title="Collapse/expand all the suites" class="collapse-all-link">
          <img src="collapseall.gif" class="collapse-all-icon">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" panel-name="suite-Command_line_suite" class="navigator-link">
              <span class="suite-name border-passed">Command line suite</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" panel-name="test-xml-Command_line_suite" class="navigator-link ">
                    <span>[unset file name]</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="testlist-Command_line_suite" class="navigator-link ">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="group-Command_line_suite" class="navigator-link ">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="times-Command_line_suite" class="navigator-link ">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="reporter-Command_line_suite" class="navigator-link ">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="ignored-methods-Command_line_suite" class="navigator-link ">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="chronological-Command_line_suite" class="navigator-link ">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">8 methods,   8 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-Command_line_suite" class="hide-methods passed suite-Command_line_suite"> (hide)</a> <!-- hide-methods passed suite-Command_line_suite -->
                      <a href="#" panel-name="suite-Command_line_suite" class="show-methods passed suite-Command_line_suite"> (show)</a> <!-- show-methods passed suite-Command_line_suite -->
                    </span>
                    <div class="method-list-content passed suite-Command_line_suite">
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Command_line_suite" title="id.solusikirim.api.EskaAPI" class="method navigator-link" hash-for-method="getDasboardCodDelivered">getDasboardCodDelivered</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Command_line_suite" title="id.solusikirim.api.EskaAPI" class="method navigator-link" hash-for-method="getDasboardCodOnProcess">getDasboardCodOnProcess</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Command_line_suite" title="id.solusikirim.api.EskaAPI" class="method navigator-link" hash-for-method="getDasboardCodReturn">getDasboardCodReturn</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Command_line_suite" title="id.solusikirim.api.EskaAPI" class="method navigator-link" hash-for-method="getDasboardCodReturned">getDasboardCodReturned</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Command_line_suite" title="id.solusikirim.api.EskaAPI" class="method navigator-link" hash-for-method="getDasboardCodUnDelivered">getDasboardCodUnDelivered</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Command_line_suite" title="id.solusikirim.api.EskaAPI" class="method navigator-link" hash-for-method="getDasboardNonCodDelivered">getDasboardNonCodDelivered</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Command_line_suite" title="id.solusikirim.api.EskaAPI" class="method navigator-link" hash-for-method="getDasboardNonCodOnProcess">getDasboardNonCodOnProcess</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Command_line_suite" title="id.solusikirim.api.EskaAPI" class="method navigator-link" hash-for-method="getDasboardNonCodUnDelivered">getDasboardNonCodUnDelivered</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-Command_line_suite -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-Command_line_suite" class="panel Command_line_suite">
          <div class="suite-Command_line_suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">id.solusikirim.api.EskaAPI</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="getDasboardCodDelivered">
                  </a> <!-- getDasboardCodDelivered -->
                  <span class="method-name">getDasboardCodDelivered</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="getDasboardCodOnProcess">
                  </a> <!-- getDasboardCodOnProcess -->
                  <span class="method-name">getDasboardCodOnProcess</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="getDasboardCodReturn">
                  </a> <!-- getDasboardCodReturn -->
                  <span class="method-name">getDasboardCodReturn</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="getDasboardCodReturned">
                  </a> <!-- getDasboardCodReturned -->
                  <span class="method-name">getDasboardCodReturned</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="getDasboardCodUnDelivered">
                  </a> <!-- getDasboardCodUnDelivered -->
                  <span class="method-name">getDasboardCodUnDelivered</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="getDasboardNonCodDelivered">
                  </a> <!-- getDasboardNonCodDelivered -->
                  <span class="method-name">getDasboardNonCodDelivered</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="getDasboardNonCodOnProcess">
                  </a> <!-- getDasboardNonCodOnProcess -->
                  <span class="method-name">getDasboardNonCodOnProcess</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="getDasboardNonCodUnDelivered">
                  </a> <!-- getDasboardNonCodUnDelivered -->
                  <span class="method-name">getDasboardNonCodUnDelivered</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Command_line_suite-class-passed -->
        </div> <!-- panel Command_line_suite -->
        <div panel-name="test-xml-Command_line_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;https://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite name=&quot;Command line suite&quot;&gt;
  &lt;test thread-count=&quot;5&quot; name=&quot;Command line test&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;id.solusikirim.api.EskaAPI&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Command line test --&gt;
&lt;/suite&gt; &lt;!-- Command line suite --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-Command_line_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for Command line suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">Command line test (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-Command_line_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for Command line suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-Command_line_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for Command line suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_Command_line_suite');
function tableData_Command_line_suite() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(8);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'getDasboardCodDelivered')
data.setCell(0, 2, 'id.solusikirim.api.EskaAPI')
data.setCell(0, 3, 2457);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'getDasboardCodReturned')
data.setCell(1, 2, 'id.solusikirim.api.EskaAPI')
data.setCell(1, 3, 305);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'getDasboardCodOnProcess')
data.setCell(2, 2, 'id.solusikirim.api.EskaAPI')
data.setCell(2, 3, 301);
data.setCell(3, 0, 3)
data.setCell(3, 1, 'getDasboardNonCodOnProcess')
data.setCell(3, 2, 'id.solusikirim.api.EskaAPI')
data.setCell(3, 3, 289);
data.setCell(4, 0, 4)
data.setCell(4, 1, 'getDasboardNonCodUnDelivered')
data.setCell(4, 2, 'id.solusikirim.api.EskaAPI')
data.setCell(4, 3, 279);
data.setCell(5, 0, 5)
data.setCell(5, 1, 'getDasboardNonCodDelivered')
data.setCell(5, 2, 'id.solusikirim.api.EskaAPI')
data.setCell(5, 3, 276);
data.setCell(6, 0, 6)
data.setCell(6, 1, 'getDasboardCodReturn')
data.setCell(6, 2, 'id.solusikirim.api.EskaAPI')
data.setCell(6, 3, 272);
data.setCell(7, 0, 7)
data.setCell(7, 1, 'getDasboardCodUnDelivered')
data.setCell(7, 2, 'id.solusikirim.api.EskaAPI')
data.setCell(7, 3, 270);
window.suiteTableData['Command_line_suite']= { tableData: data, tableDiv: 'times-div-Command_line_suite'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 4 seconds</span>
              <div id="times-div-Command_line_suite">
              </div> <!-- times-div-Command_line_suite -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-Command_line_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for Command line suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-Command_line_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-Command_line_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">id.solusikirim.api.EskaAPI</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">getDasboardCodDelivered</span>
                <span class="method-start">0 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">getDasboardCodOnProcess</span>
                <span class="method-start">2459 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">getDasboardCodReturn</span>
                <span class="method-start">2761 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">getDasboardCodReturned</span>
                <span class="method-start">3034 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">getDasboardCodUnDelivered</span>
                <span class="method-start">3340 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">getDasboardNonCodDelivered</span>
                <span class="method-start">3611 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">getDasboardNonCodOnProcess</span>
                <span class="method-start">3888 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">getDasboardNonCodUnDelivered</span>
                <span class="method-start">4177 ms</span>
              </div> <!-- test-method -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
<script type="text/javascript" src="testng-reports2.js"></script>
</html>
